///Documentation for BPRINT
//sethead '- Documentation for BPRINT -'
//setfoot '- Page %P -'


BPRINT, January 1996 Version.
Copyright 1995, 1996, David Turgeon.  All Rights Reserved Worldwide.


Release date: 96/01/25.  Freeware.



License
-------

BPRINT IS PROVIDED 'AS-IS' AND CONTAINS NO GUARANTEE OF RELIABILITY.  DAVID 
TURGEON, THE AUTHOR, CAN NOT BE HELD RESPONSIBLE OF ANY DAMAGES BY THE USE OF 
THE MISUSE OF BPRINT.

IF YOU DO NOT AGREE WITH THIS LICENSE, PLEASE DO NOT USE BPRINT.



Distribution
------------

This version of BPRINT is distributed along with Browser, and is freeware.  
You can use it free of charge, but be sure to only distribute it as a part of 
the Browser package.

No modification of any kind can be made to the program or the documentation 
without written consent from the author, David Turgeon.



Introduction
------------

BPRINT is a companion utility for Browser.  It simply processes a 
Browser-compatible file and turns it into a plain text-file you can print, by 
removing all the commands, functions, variables, etc.  It also processes a 
few commands, as explained under "Special commands".



Format
------

To use BPRINT, type:

BPRINT <input file> <output file> [/NODISP] [/NOPAGE]

The "/NODISP" switch disables the program's display.  Useful if you wish to 
call this program from a Browser file.

The "/NOPAGE" switch disables generation of form feeds at each page and on 
demand.  (With \\/ff.)



Special commands
----------------

There are four special Browser command that can be useful for those who want 
their text files to be printed. 

\\/ff:  This command generates an automatic form feed (^L).

\\/noprint:  When this flag is on, BPRINT won't write the lines in the output 
file until there is a "\\/noprint off" occurence.

\\/sethead, \\/setfoot:  This command respectively set the page header and 
footer.  In these commands the symbol "%P" represents the page number.



How to contact the author
-------------------------

BBS: Sarcastic Toaster
Quebec City, Canada
+1-418-839-7078

Snail Mail: David Turgeon
2215, rue Migneault
Quebec City (Quebec)
Canada G1J 4W5

Internet address coming soon!


